Active Scaffold Error - Ruby 1.8.7

Hi,

I’ve got an app that I’ve inherited that uses Active Scaffold. I’ve
never used it before, but am now seeing errors on a page that appear to
point to that plugin.

The system is Ubuntu using Ruby 1.8.7. I already found a work around
for attachment_fu using this Ruby version. Is there something else that
can fix this problem?

THANKS!!!

Here’s my output:

Showing
vendor/plugins/active_scaffold/frontends/default/views/_list_header.rhtml
where line #3 raised:

undefined method `[]’ for #Enumerable::Enumerator:0x7f28aa479800

Extracted source (around line #3):

1: <% if active_scaffold_config.action_links.any? { |link| link.type ==
:table } -%>
2:


3: <% new_params = params_for(:action => :table) %>
4: <% active_scaffold_config.action_links.each :table do |link| -%>
5: <% next if controller.respond_to? link.security_method and
!controller.send(link.security_method) -%>
6: <%= render_action_link(link, new_params) -%>

Trace of template inclusion:
/vendor/plugins/active_scaffold/frontends/default/views/list.rhtml

RAILS_ROOT:
/var/www/clients/urbanspace/urbanspace_staging/releases/20090624023518
Application Trace | Framework Trace | Full Trace

/usr/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/core_ext/string/access.rb:43:in
first' #{RAILS_ROOT}/vendor/plugins/active_scaffold/lib/helpers/active_scaffold_helpers.rb:41:inparams_for’

I had this same Active Scaffold problem on Ubuntu 9.04. Installing Ruby
1.8.6 instead of the default 1.8.7 was the key. I followed the
instructions in this link:

http://programmers-blog.com/2009/06/08/ruby-1-8-6-in-ubuntu-9-04-64-minimal

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs